NAUTY-GENRANG(1)

NAME
nauty-genrang - generate random graphs

SYNOPSIS
genrang [-P#|-P#/#|-e#|-r#|-R#|-d#] [-M#] [-l#] [-m#] [-t] [-T] [-a] [-s|-g|-z] [-S#] [-q] n|n1,n2 num [outfile]

DESCRIPTION

    Generate random graphs.

n   : number of vertices

    n1,n2 : number of vertices (bipartite graph)

    num : number of graphs

    A bipartite variant is only available if specified below.

-s  : Write in sparse6 format (default)

-g  : Write in graph6 format

-z  : Make random digraphs and write in digraph6 format

-P#/# : Give edge probability; -P# means -P1/#.

    Bipartite version available.

-e# : Give the number of edges

    Bipartite version available.

-r# : Make regular of specified degree

-d# : Make regular of specified degree (pseudorandom)

    With -z, #-in #-out digraph without loops

    Bipartite version: this is the degree on the first side.

-M# : In conjunction with -d, make the distribution more uniform

    by running a Markov chain for #*n steps starting at the pseudorandom graph.

-R# : Make regular of specified degree but output

    as vertex count, edge count, then list of edges

-l# : Maximum loop multiplicity (default 0)

-m# : Maximum multiplicity of non-loop edge (default and minimum 1)

-t  : Make a random spanning tree of a complete graph

    or complete bipartite graph

-T  : Make a random tournament (implies -z)

-a  : Make invariant under a random permutation

-S# : Specify random generator seed (default nondeterministic)

-q  : suppress auxiliary output